/*
**  FontsViewController.h
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**          Completely rewritten old version by Alexey I. Froloff <raorn@binec.ru>.
**          
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#import <AppKit/AppKit.h>

#import "PreferencesModule.h"

@interface FontsViewController : NSObject <PreferencesModule>
{
  // Outlets
  IBOutlet id view;
  
  IBOutlet NSPopUpButton *headerNamePopUp;
  IBOutlet NSPopUpButton *headerNameSizePopUp;

  IBOutlet NSPopUpButton *headerValuePopUp;
  IBOutlet NSPopUpButton *headerValueSizePopUp;

  IBOutlet NSPopUpButton *messagePopUp;
  IBOutlet NSPopUpButton *messageSizePopUp;

  IBOutlet NSButton *checkbox;

  IBOutlet NSPopUpButton *plainTextMessagePopUp;
  IBOutlet NSPopUpButton *plainTextMessageSizePopUp;
 
  // Other ivars
}

//
// action methods
//
- (IBAction) checkboxClicked: (id) sender;

@end


//
// Private methods
//
@interface FontsViewController (Private)

- (void) _initializePopUpButtons;

@end
