/*
**  IMAPViewController.h
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>

@class FolderNode;
@class IMAPView;
@class ReceivingWindowController;

@class IMAPStore;

@interface IMAPViewController : NSObject
{
  // Outlets
  IBOutlet NSTextField *retrieveMinutesField;
  IBOutlet NSOutlineView *outlineView;

  IBOutlet NSTableColumn *mailboxColumn;
  IBOutlet NSTableColumn *subscriptionColumn;

  IBOutlet NSView *imapView;

  // ivars
  FolderNode *allFolders;
  ReceivingWindowController *parent;
  IMAPStore *store;
}


- (id) initWithParent: (id) theParent;

//
// action methods
//
- (IBAction) doubleClickedOnNode: (id) sender;
- (IBAction) list: (id) sender;
- (IBAction) subscribe: (id) sender;
- (IBAction) unsubscribe: (id) sender;

//
// access / mutation methods
//

- (NSTextField *) retrieveMinutesField;

- (NSOutlineView *) outlineView;

- (NSView *) imapView;

@end


//
// Private methods
//
@interface IMAPViewController (Private)

- (void) _rebuildListOfSubscribedFolders;

@end
