/*
**  POP3View.m
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>
#import "POP3View.h"

#import "GNUMailConstants.h"
#import "LabelWidget.h"

@implementation POP3View

- (void) dealloc
{
  //NSDebugLog(@"POP3View: -dealloc");

  RELEASE(leaveOnServer);
  RELEASE(daysField);
  RELEASE(useAPOP);

  RELEASE(mailboxPopUpButton);

  [super dealloc];
}

- (id) initWithParent: (id) theParent
{
  LabelWidget *label;

  self = [super init];

  [self setFrame: NSMakeRect(0,0,350,225)];
  [self setAutoresizingMask: NSViewWidthSizable|NSViewHeightSizable];

  leaveOnServer = [[NSButton alloc] initWithFrame: NSMakeRect(10,190,200,ButtonHeight)];
  [leaveOnServer setButtonType: NSSwitchButton];
  [leaveOnServer setBordered: NO];
  [leaveOnServer setTitle: _(@"Leave messages on server for")];
  [leaveOnServer setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: leaveOnServer];

  daysField = [[NSTextField alloc] initWithFrame: NSMakeRect(210,190,40,TextFieldHeight)];
  [daysField setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: daysField];
  
  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(260,190,50,TextFieldHeight)
		       label: _(@"days")];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];
  

  useAPOP = [[NSButton alloc] initWithFrame: NSMakeRect(10,165,200,ButtonHeight)];
  [useAPOP setButtonType: NSSwitchButton];
  [useAPOP setBordered: NO];
  [useAPOP setTitle: _(@"Use APOP (if possible)")];
  [useAPOP setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: useAPOP];


  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(10,140,330,TextFieldHeight)
		       label: _(@"Download messages from this server into mailbox:")];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];

  mailboxPopUpButton = [[NSPopUpButton alloc] initWithFrame: NSMakeRect(20, 110, 320, ButtonHeight)];
  [mailboxPopUpButton addItemWithTitle: @""];
  [mailboxPopUpButton setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: mailboxPopUpButton];
  
  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(10, 75, 330, TextFieldHeight)
		       label: _(@"(If you don't see all your IMAP mailboxes, first open the connection\nto this IMAP server.)")];
  [label setFont: [NSFont systemFontOfSize: 10]];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];

  return self;
}


//
// access / mutation methods
//
- (NSButton *) leaveOnServer
{
  return leaveOnServer;
}

- (NSTextField *) daysField
{
  return daysField;
}

- (NSButton *) useAPOP
{
  return useAPOP;
}

- (NSPopUpButton *) mailboxPopUpButton
{
  return mailboxPopUpButton;
}


@end
