/*
**  POP3ViewController.h
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>

@class POP3View;
@class FolderNode;

@interface POP3ViewController : NSObject
{
  // Outlets
  IBOutlet NSButton *leaveOnServer;
  IBOutlet NSTextField *daysField;
  IBOutlet NSButton *useAPOP;
  IBOutlet NSView *pop3View;
  IBOutlet NSPopUpButton *mailboxPopUpButton;

  // ivar
  FolderNode *allNodes;
  id parent;
}

- (id) initWithParent: (id) theParent;


//
// access / mutation methods
//
- (NSButton *) leaveOnServer;
- (NSTextField *) daysField;
- (NSButton *) useAPOP;
- (NSView *) pop3View;
- (NSPopUpButton *) mailboxPopUpButton;

- (FolderNode *) allNodes;

@end
