/*
**  UNIXView.m
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>
#import "UNIXView.h"

#import "GNUMailConstants.h"
#import "LabelWidget.h"

@implementation UNIXView

- (void) dealloc
{
  NSDebugLog(@"UNIXView: -dealloc");

  RELEASE(mailspoolFileField);

  [super dealloc];
}


//
//
//
- (id) initWithParent: (id) theParent
{
  NSButton *mailspoolFileButton;
  LabelWidget *label;

  self = [super init];

  [self setFrame: NSMakeRect(0,0,350,225)];
  [self setAutoresizingMask: NSViewWidthSizable|NSViewHeightSizable];
  
  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(10,190,150,TextFieldHeight)
		       label: _(@"Mail spool file:")];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];

  mailspoolFileField = [[NSTextField alloc] initWithFrame: NSMakeRect(20,160,250,TextFieldHeight)];
  [mailspoolFileField setEditable: YES];
  [mailspoolFileField setSelectable: YES];
  [mailspoolFileField setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: mailspoolFileField];
  
  mailspoolFileButton = [[NSButton alloc] initWithFrame: NSMakeRect(275,158,65,ButtonHeight)];
  [mailspoolFileButton setTitle: _(@"Choose")];
  [mailspoolFileButton setTarget: theParent];
  [mailspoolFileButton setAction: @selector(mailspoolFileButtonClicked:)];
  [mailspoolFileButton setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: mailspoolFileButton];
  RELEASE(mailspoolFileButton);

  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(10,130,330,TextFieldHeight)
		       label: _(@"Download messages from this spool file into mailbox:")];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];

  mailboxPopUpButton = [[NSPopUpButton alloc] initWithFrame: NSMakeRect(20, 100, 320, ButtonHeight)];
  [mailboxPopUpButton addItemWithTitle: @""];
  [mailboxPopUpButton setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: mailboxPopUpButton];
  
  label = [LabelWidget labelWidgetWithFrame: NSMakeRect(10, 65, 330, TextFieldHeight)
		       label: _(@"(If you don't see all your IMAP mailboxes, first open the connection\nto this IMAP server.)")];
  [label setFont: [NSFont systemFontOfSize: 10]];
  [label setAutoresizingMask: NSViewMinYMargin];
  [self addSubview: label];

  return self;
}


//
// access / mutation methods
//
- (NSTextField *) mailspoolFileField
{
  return mailspoolFileField;
}

- (NSPopUpButton *) mailboxPopUpButton
{
  return mailboxPopUpButton;
}

@end
