/*
**  ConsoleWindow.m
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#import "ConsoleWindow.h"

#import "GNUMailConstants.h"

@implementation ConsoleWindow

//
//
//
- (void) dealloc
{
  //NSDebugLog(@"ConsoleWindow: -dealloc");
  RELEASE(tableView);
  RELEASE(scrollView);
  
  [super dealloc];
}


//
//
//
- (void) layoutWindow
{
  NSTableColumn *dateColumn, *messageColumn;

  scrollView = [[NSScrollView alloc] initWithFrame: NSMakeRect(0,0,500,250)];
    
  dateColumn = [[NSTableColumn alloc] initWithIdentifier: @"Date"];
  [dateColumn setEditable: NO];
  [dateColumn setResizable: YES];
  [[dateColumn headerCell] setStringValue: _(@"Date")];
  [dateColumn setMinWidth: 85];
  [dateColumn setMaxWidth: 85];
  [[dateColumn headerCell] setAlignment: NSLeftTextAlignment];
  
  messageColumn = [[NSTableColumn alloc] initWithIdentifier: @"Message"];
  [messageColumn setEditable: NO];
  [messageColumn setResizable: YES];
  [[messageColumn headerCell] setStringValue: _(@"Message")];
  [messageColumn setMinWidth: 170];
  [[messageColumn headerCell] setAlignment: NSLeftTextAlignment];

  tableView = [[NSTableView alloc] initWithFrame: [[scrollView contentView] frame]];
  [tableView setDrawsGrid: NO];
  [tableView setAllowsColumnSelection: NO];
  [tableView setAllowsColumnReordering: NO];
  [tableView setAllowsColumnResizing: YES];
  [tableView setAllowsEmptySelection: YES];
  [tableView setAllowsMultipleSelection: NO];
  [tableView addTableColumn: dateColumn];
  [tableView addTableColumn: messageColumn];
  [tableView setAutoresizesAllColumnsToFit: YES];
  [tableView sizeLastColumnToFit];
  [tableView setDataSource: [self windowController]];
  [tableView setDelegate: [self windowController]];

  [scrollView setDocumentView: tableView];
  [scrollView setHasHorizontalScroller: YES];
  [scrollView setHasVerticalScroller: YES];
  [scrollView setBorderType: NSBezelBorder];
  [scrollView setAutoresizingMask: (NSViewWidthSizable|NSViewHeightSizable)];

  [self setContentView: scrollView];
}


//
// access/mutation methods
//
- (NSTableView *) tableView
{
  return tableView;
}


@end
